> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/entity-management/get-all-entity.md).

# Get all Entity

This endpoint allows you to retrieve all existing entities, this can either be a business or an individual.

<mark style="color:blue;">`GET`</mark> `{{baseurl}}/v2/api/entities`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

| Field        | Type    | Description                                                                                              |
| ------------ | ------- | -------------------------------------------------------------------------------------------------------- |
| sortField    | String  | Field to sort by                                                                                         |
| sortOrder    | String  | Sort order, either 'asc' or 'desc', sortField must be set for this to take effect                        |
| searchTerm   | String  | Search query                                                                                             |
| limit        | Number  | <p>number of logs to return</p><p>Default value: <mark style="color:$danger;"><code>20</code></mark></p> |
| startDate    | String  | start date                                                                                               |
| endDate      | String  | end date                                                                                                 |
| status       | String  | comma separated list of statuses                                                                         |
| entityType   | String  | type of entity (individual or business)                                                                  |
| businessIds  | String  | Admin use only(comma separated list of business IDs)                                                     |
| countryCodes | String  | a comma separated list of country codes                                                                  |
| isUBO        | Boolean | whether the entity is a UBO (Ultimate Beneficial Owner)                                                  |

{% tabs %}
{% tab title="Get all Entities Sample Response (Non UBO's)" %}

```json
 {
    "success": true,
    "statusCode": 200,
    "message": "Entities fetched successfully!",
    "data": {
          "docs": [
            {
                "_id": "685c87dfe1d184f2663b4e41",
                "businessId": "61d880f1e8e15aaf24558f1a",
                "entityType": "business",
                "incorporationNumber": "RC00000002",
                "incorporationName": "Kord Industries",
                "incorporationDate": "2019-06-09",
                "address": "Somewhere on palmeras city",
                "businessType": "Corporate Equity",
                "taxId": null,
                "status": "not_approved",
                "profileStatus": "pending",
                "incorporationCountry": "NG",
                "createdBy": "61f162ec1fd251c3a63f31c2",
                "isOnboarded": true,
                "potentialEntityMatch": null,
                "createdAt": "2025-06-25T23:35:59.293Z",
                "lastModifiedAt": "2025-06-25T23:35:59.293Z",
                "_createdAt": "2025-06-26T00:35:5959+01:00",
                "_lastModifiedAt": "2025-06-26T00:35:5959+01:00",
                "object": "entity",
                "id": "ent_685c87dfe1d184f2663b4e41"
            },
            {
               "businessId": "61d880f1e8e15aaf24558f1a",
                "id": "ent_68ae3859d82e350f82fd9e95",
                "firstName": "Sarah",
                "lastName": "Doe",
                "middleName": "Jane",
                "entityType": "individual",
                "gender": "female",
                "taxId": null,
                "status": "created",
                "profileStatus": "pending",
                "isOnboarded": true,
                "dateOfBirth": "1988-04-04",
                "createdAt": "2025-08-26T22:42:33.879Z",
                "lastModifiedAt": "2025-08-26T22:42:37.860Z",
                "createdBy": "61f162ec1fd251c3a63f31c2",
                "_id": "68ae3859d82e350f82fd9e95",
                "object": "entity",
            }
        ],
        "pagination": {
            "type": "cursor",
            "perPage": 20,
            "nextPage": "685c7479519d82bd21a42fba",
            "prevPage": null,
            "hasNextPage": true,
            "hasPrevPage": false
        },
        "searchTerms": {}
  },
    "links": []
}
```

{% endtab %}

{% tab title="Get all Entities Sample Response (UBO's)" %}

```json
{
    "success": true,
    "statusCode": 200,
    "message": "Entities fetched successfully!",
    "data": {
        "docs": 
          [
            {
              "businessId": "61d880f1e8e15aaf24558f1a",
              "id": "ent_69d7c11592b303ba5fec28c2",
              "firstName": "Famous",
              "lastName": "Ehichioya",
              "entityType": "individual",
              "nationalities": [
                "NG"
              ],
              "taxId": null,
              "status": "created",
              "profileStatus": "pending",
              "isOnboarded": false,
              "potentialEntityMatch": null,
              "dateOfBirth": "2026-04-08",
              "createdAt": "2026-04-09T15:09:09.491Z",
              "lastModifiedAt": "2026-04-09T15:09:09.491Z",
              "createdBy": {
                "id": "61d880f2e8e15aaf24558f9b",
                "firstName": "Famous",
                "lastName": "Ehichioya",
                "middleName": "Prior"
              },
              "hasAdverseMedia": false,
              "isPEP": false,
              "isSanctioned": false,
              "isUbo": true,
              "isDeleted": false,
              "riskScore": 0,
              "riskStatus": "PENDING",
              "_id": "69d7c11592b303ba5fec28c2",
              "object": "entity",
              "affiliatedCompany": [
                {
                  "id": "69ceac289a8978a357ffdd01",
                  "companyName": "John Doe Inc",
                  "sharePercentage": 90,
                  "designation": "DIRECTOR"
                }
              ]
            }
          ],
          "pagination": {
            "type": "cursor",
            "perPage": 10,
            "nextPage": null,
            "prevPage": null,
            "hasNextPage": false,
            "hasPrevPage": false
          },
          "searchTerms": {
            "isUBO": true
          }
        },
    "links": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/entity-management/get-all-entity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
